<beans xmlns="http://www.springframework.org/schema/beans"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:context="http://www.springframework.org/schema/context"
    xmlns:mvc="http://www.springframework.org/schema/mvc"
    xmlns:security="http://www.springframework.org/schema/security"
    xmlns:tx="http://www.springframework.org/schema/tx"
    xmlns:aop="http://www.springframework.org/schema/aop"
    xmlns:p="http://www.springframework.org/schema/p"
    xmlns:mongo="http://www.springframework.org/schema/data/mongo"
    xmlns:task="http://www.springframework.org/schema/task"
    xsi:schemaLocation="
	    http://www.springframework.org/schema/beans
	    http://www.springframework.org/schema/beans/spring-beans.xsd
	    http://www.springframework.org/schema/context
	    http://www.springframework.org/schema/context/spring-context.xsd
	    http://www.springframework.org/schema/security
	    http://www.springframework.org/schema/security/spring-security.xsd
	    http://www.springframework.org/schema/tx
	    http://www.springframework.org/schema/tx/spring-tx-2.5.xsd
	    http://www.springframework.org/schema/aop
	    http://www.springframework.org/schema/aop/spring-aop.xsd
	    http://www.springframework.org/schema/data/mongo
	    http://www.springframework.org/schema/data/mongo/spring-mongo-1.0.xsd
	    http://www.springframework.org/schema/task
	    http://www.springframework.org/schema/task/spring-task-3.0.xsd">

    <bean id="overdueTask" class="com.baibao.loan.task.OverdueTask"/>
    <bean id="publicOrderTask" class="com.baibao.loan.task.PublicOrderTask"/>

    <task:scheduled-tasks scheduler="tasksScheduler">
        <task:scheduled ref="overdueTask"
            method="checkOverdue" cron="0 1 0 * * ?"/>
        <task:scheduled ref="overdueTask"
            method="checkRepayment" cron="0 0 10 * * ?"/>
        <task:scheduled ref="publicOrderTask"
            method="checkPublicOrder" cron="0 0 * * * ?"/>
    </task:scheduled-tasks>
</beans>
